4

Установка Android SDK, Java JDK, Android Studio в Ubuntu

1. Установка Java JDK
2. Установка Android SDK
3. Установка Android Studio
4. Дополнительные опции установки Java JDK

Установка Java JDK

В центре приложений Ubuntu предлагается воспользоваться OpenJDK Java 7 Runtime (JRE), это не подойдёт для работы Android Studio (для Eclipse кстати тоже), нам нужно именно Java JDK, тот самый от компании Oracle.

Возможная ошибка в случае несоответствия пакета Java:
«tool.jar is not in Android Studio classpath. Please ensure JAVA_HOME points to JDK rather than JRE»

Continue Reading

9

Установка Eclipse и Android SDK в Ubuntu

Установка Eclipse и Android SDK в UbuntuАктуальная на сегодняшний день задача — установка комплекта разработчика мобильных приложений Android в операционной системе Ubuntu Linux. Процесс абсолютно не сложный, нужно просто понимать последовательность действий, и иногда требуется разрешение некоторых мелких проблем.

Я опишу проверенную последовательность действий для Ubuntu 14.04 и свежей, на момент написания инструкции, версии Eclipse 4.3.2 Kepler.

Шаг 1. Установка Eclipse IDE

Сразу оговорюсь, что на данный момент Eclipse IDE лучший выбор для разработки андроид приложений, да и для других он тоже подойдёт. Итак, скачаем свежую версию Eclipse с официального сайта, нам подойдёт редакция Eclipse Standard 4.3.2 (версия может отличаться), 32 или 64 бита, в зависимости от разрядности операционки.

Скачаный файл eclipse-standard-kepler-SR2-linux-gtk-x86_64.tar.gz нужно просто распаковать в директорию, из которой он будет запускаться. Я выбрал диреторию /opt/eclipse:

sudo tar -zxvf ./eclipse-standard-kepler-SR2-linux-gtk-x86_64.tar.gz -C /opt

Сделаем файл запускаемым:

sudo chmod +x /opt/eclipse/eclipse

Для удобства создадим символическую ссылку в нашей домашней директории, чтобы потом запускать по ней Eclipse IDE:

sudo ln -s /opt/eclipse/eclipse /home/username/eclipse

Теперь среду разработки можно запускать из папки /opt/eclipse или по символической ссылке.

Чтобы Eclipse заработал, системе потребуется Java, подойдёт «OpenJDK Java 7 Runtime» из центра приложений Ubuntu, иначе при запуске Eclipse появится сообщение об ошибке.
Continue Reading